"
 COPYRIGHT (c) 2004 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

"{ Package: 'stx:libbasic' }"

"{ NameSpace: CharacterEncoderImplementations }"

SingleByteEncoder subclass:#NEXT
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Collections-Text-Encodings'
!

!NEXT class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2004 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
! !

!NEXT class methodsFor:'mapping'!

mapFileURL2_relativePathName
    ^ 'NEXTSTEP'
!

mapping
"
# From: http://std.dkuug.dk/i18n/charmaps/NEXTSTEP

<code_set_name> NEXTSTEP
<comment_char> %
<escape_char> /
% version: 1.0
% repertoiremap: mnemonic,ds
%  source: Peter Svanberg.

% alias NEXT
CHARMAP
<NU>                   /x00   <U0000> NULL (NUL)
<SH>                   /x01   <U0001> START OF HEADING (SOH)
<SX>                   /x02   <U0002> START OF TEXT (STX)
<EX>                   /x03   <U0003> END OF TEXT (ETX)
<ET>                   /x04   <U0004> END OF TRANSMISSION (EOT)
<EQ>                   /x05   <U0005> ENQUIRY (ENQ)
<AK>                   /x06   <U0006> ACKNOWLEDGE (ACK)
<BL>                   /x07   <U0007> BELL (BEL)
<BS>                   /x08   <U0008> BACKSPACE (BS)
<HT>                   /x09   <U0009> CHARACTER TABULATION (HT)
<LF>                   /x0A   <U000A> LINE FEED (LF)
<VT>                   /x0B   <U000B> LINE TABULATION (VT)
<FF>                   /x0C   <U000C> FORM FEED (FF)
<CR>                   /x0D   <U000D> CARRIAGE RETURN (CR)
<SO>                   /x0E   <U000E> SHIFT OUT (SO)
<SI>                   /x0F   <U000F> SHIFT IN (SI)
<DL>                   /x10   <U0010> DATALINK ESCAPE (DLE)
<D1>                   /x11   <U0011> DEVICE CONTROL ONE (DC1)
<D2>                   /x12   <U0012> DEVICE CONTROL TWO (DC2)
<D3>                   /x13   <U0013> DEVICE CONTROL THREE (DC3)
<D4>                   /x14   <U0014> DEVICE CONTROL FOUR (DC4)
<NK>                   /x15   <U0015> NEGATIVE ACKNOWLEDGE (NAK)
<SY>                   /x16   <U0016> SYNCHRONOUS IDLE (SYN)
<EB>                   /x17   <U0017> END OF TRANSMISSION BLOCK (ETB)
<CN>                   /x18   <U0018> CANCEL (CAN)
<EM>                   /x19   <U0019> END OF MEDIUM (EM)
<SB>                   /x1A   <U001A> SUBSTITUTE (SUB)
<EC>                   /x1B   <U001B> ESCAPE (ESC)
<FS>                   /x1C   <U001C> FILE SEPARATOR (IS4)
<GS>                   /x1D   <U001D> GROUP SEPARATOR (IS3)
<RS>                   /x1E   <U001E> RECORD SEPARATOR (IS2)
<US>                   /x1F   <U001F> UNIT SEPARATOR (IS1)
<SP>                   /x20   <U0020> SPACE
<!!>                    /x21   <U0021> EXCLAMATION MARK
<'>                    /x22   <U0022> QUOTATION MARK
<Nb>                   /x23   <U0023> NUMBER SIGN
<DO>                   /x24   <U0024> DOLLAR SIGN
<%>                    /x25   <U0025> PERCENT SIGN
<&>                    /x26   <U0026> AMPERSAND
<'>                    /x27   <U0027> APOSTROPHE
<(>                    /x28   <U0028> LEFT PARENTHESIS
<)>                    /x29   <U0029> RIGHT PARENTHESIS
<*>                    /x2A   <U002A> ASTERISK
<+>                    /x2B   <U002B> PLUS SIGN
<,>                    /x2C   <U002C> COMMA
<->                    /x2D   <U002D> HYPHEN-MINUS
<.>                    /x2E   <U002E> FULL STOP
<//>                   /x2F   <U002F> SOLIDUS
<0>                    /x30   <U0030> DIGIT ZERO
<1>                    /x31   <U0031> DIGIT ONE
<2>                    /x32   <U0032> DIGIT TWO
<3>                    /x33   <U0033> DIGIT THREE
<4>                    /x34   <U0034> DIGIT FOUR
<5>                    /x35   <U0035> DIGIT FIVE
<6>                    /x36   <U0036> DIGIT SIX
<7>                    /x37   <U0037> DIGIT SEVEN
<8>                    /x38   <U0038> DIGIT EIGHT
<9>                    /x39   <U0039> DIGIT NINE
<:>                    /x3A   <U003A> COLON
<;>                    /x3B   <U003B> SEMICOLON
<<>                    /x3C   <U003C> LESS-THAN SIGN
<=>                    /x3D   <U003D> EQUALS SIGN
</>>                   /x3E   <U003E> GREATER-THAN SIGN
<?>                    /x3F   <U003F> QUESTION MARK
<At>                   /x40   <U0040> COMMERCIAL AT
<A>                    /x41   <U0041> LATIN CAPITAL LETTER A
<B>                    /x42   <U0042> LATIN CAPITAL LETTER B
<C>                    /x43   <U0043> LATIN CAPITAL LETTER C
<D>                    /x44   <U0044> LATIN CAPITAL LETTER D
<E>                    /x45   <U0045> LATIN CAPITAL LETTER E
<F>                    /x46   <U0046> LATIN CAPITAL LETTER F
<G>                    /x47   <U0047> LATIN CAPITAL LETTER G
<H>                    /x48   <U0048> LATIN CAPITAL LETTER H
<I>                    /x49   <U0049> LATIN CAPITAL LETTER I
<J>                    /x4A   <U004A> LATIN CAPITAL LETTER J
<K>                    /x4B   <U004B> LATIN CAPITAL LETTER K
<L>                    /x4C   <U004C> LATIN CAPITAL LETTER L
<M>                    /x4D   <U004D> LATIN CAPITAL LETTER M
<N>                    /x4E   <U004E> LATIN CAPITAL LETTER N
<O>                    /x4F   <U004F> LATIN CAPITAL LETTER O
<P>                    /x50   <U0050> LATIN CAPITAL LETTER P
<Q>                    /x51   <U0051> LATIN CAPITAL LETTER Q
<R>                    /x52   <U0052> LATIN CAPITAL LETTER R
<S>                    /x53   <U0053> LATIN CAPITAL LETTER S
<T>                    /x54   <U0054> LATIN CAPITAL LETTER T
<U>                    /x55   <U0055> LATIN CAPITAL LETTER U
<V>                    /x56   <U0056> LATIN CAPITAL LETTER V
<W>                    /x57   <U0057> LATIN CAPITAL LETTER W
<X>                    /x58   <U0058> LATIN CAPITAL LETTER X
<Y>                    /x59   <U0059> LATIN CAPITAL LETTER Y
<Z>                    /x5A   <U005A> LATIN CAPITAL LETTER Z
<<(>                   /x5B   <U005B> LEFT SQUARE BRACKET
<////>                 /x5C   <U005C> REVERSE SOLIDUS
<)/>>                  /x5D   <U005D> RIGHT SQUARE BRACKET
<'/>>                  /x5E   <U005E> CIRCUMFLEX ACCENT
<_>                    /x5F   <U005F> LOW LINE
<'!!>                   /x60   <U0060> GRAVE ACCENT
<a>                    /x61   <U0061> LATIN SMALL LETTER A
<b>                    /x62   <U0062> LATIN SMALL LETTER B
<c>                    /x63   <U0063> LATIN SMALL LETTER C
<d>                    /x64   <U0064> LATIN SMALL LETTER D
<e>                    /x65   <U0065> LATIN SMALL LETTER E
<f>                    /x66   <U0066> LATIN SMALL LETTER F
<g>                    /x67   <U0067> LATIN SMALL LETTER G
<h>                    /x68   <U0068> LATIN SMALL LETTER H
<i>                    /x69   <U0069> LATIN SMALL LETTER I
<j>                    /x6A   <U006A> LATIN SMALL LETTER J
<k>                    /x6B   <U006B> LATIN SMALL LETTER K
<l>                    /x6C   <U006C> LATIN SMALL LETTER L
<m>                    /x6D   <U006D> LATIN SMALL LETTER M
<n>                    /x6E   <U006E> LATIN SMALL LETTER N
<o>                    /x6F   <U006F> LATIN SMALL LETTER O
<p>                    /x70   <U0070> LATIN SMALL LETTER P
<q>                    /x71   <U0071> LATIN SMALL LETTER Q
<r>                    /x72   <U0072> LATIN SMALL LETTER R
<s>                    /x73   <U0073> LATIN SMALL LETTER S
<t>                    /x74   <U0074> LATIN SMALL LETTER T
<u>                    /x75   <U0075> LATIN SMALL LETTER U
<v>                    /x76   <U0076> LATIN SMALL LETTER V
<w>                    /x77   <U0077> LATIN SMALL LETTER W
<x>                    /x78   <U0078> LATIN SMALL LETTER X
<y>                    /x79   <U0079> LATIN SMALL LETTER Y
<z>                    /x7A   <U007A> LATIN SMALL LETTER Z
<(!!>                   /x7B   <U007B> LEFT CURLY BRACKET
<!!!!>                   /x7C   <U007C> VERTICAL LINE
<!!)>                   /x7D   <U007D> RIGHT CURLY BRACKET
<'?>                   /x7E   <U007E> TILDE
<DT>                   /x7F   <U007F> DELETE (DEL)
<NS>                   /x80   <U00A0> NO-BREAK SPACE
<A!!>                   /x81   <U00C0> LATIN CAPITAL LETTER A WITH GRAVE
<A'>                   /x82   <U00C1> LATIN CAPITAL LETTER A WITH ACUTE
<A/>>                  /x83   <U00C2> LATIN CAPITAL LETTER A WITH CIRCUMFLEX
<A?>                   /x84   <U00C3> LATIN CAPITAL LETTER A WITH TILDE
<A:>                   /x85   <U00C4> LATIN CAPITAL LETTER A WITH DIAERESIS
<AA>                   /x86   <U00C5> LATIN CAPITAL LETTER A WITH RING ABOVE
<C,>                   /x87   <U00C7> LATIN CAPITAL LETTER C WITH CEDILLA
<E!!>                   /x88   <U00C8> LATIN CAPITAL LETTER E WITH GRAVE
<E'>                   /x89   <U00C9> LATIN CAPITAL LETTER E WITH ACUTE
<E/>>                  /x8A   <U00CA> LATIN CAPITAL LETTER E WITH CIRCUMFLEX
<E:>                   /x8B   <U00CB> LATIN CAPITAL LETTER E WITH DIAERESIS
<I!!>                   /x8C   <U00CC> LATIN CAPITAL LETTER I WITH GRAVE
<I'>                   /x8D   <U00CD> LATIN CAPITAL LETTER I WITH ACUTE
<I/>>                  /x8E   <U00CE> LATIN CAPITAL LETTER I WITH CIRCUMFLEX
<I:>                   /x8F   <U00CF> LATIN CAPITAL LETTER I WITH DIAERESIS
<D->                   /x90   <U00D0> LATIN CAPITAL LETTER ETH (Icelandic)
<N?>                   /x91   <U00D1> LATIN CAPITAL LETTER N WITH TILDE
<O!!>                   /x92   <U00D2> LATIN CAPITAL LETTER O WITH GRAVE
<O'>                   /x93   <U00D3> LATIN CAPITAL LETTER O WITH ACUTE
<O/>>                  /x94   <U00D4> LATIN CAPITAL LETTER O WITH CIRCUMFLEX
<O?>                   /x95   <U00D5> LATIN CAPITAL LETTER O WITH TILDE
<O:>                   /x96   <U00D6> LATIN CAPITAL LETTER O WITH DIAERESIS
<U!!>                   /x97   <U00D9> LATIN CAPITAL LETTER U WITH GRAVE
<U'>                   /x98   <U00DA> LATIN CAPITAL LETTER U WITH ACUTE
<U/>>                  /x99   <U00DB> LATIN CAPITAL LETTER U WITH CIRCUMFLEX
<U:>                   /x9A   <U00DC> LATIN CAPITAL LETTER U WITH DIAERESIS
<Y'>                   /x9B   <U00DD> LATIN CAPITAL LETTER Y WITH ACUTE
<TH>                   /x9C   <U00DE> LATIN CAPITAL LETTER THORN (Icelandic)
<My>                   /x9D   <U00B5> MICRO SIGN
<*X>                   /x9E   <U00D7> MULTIPLICATION SIGN
<-:>                   /x9F   <U00F7> DIVISION SIGN
<Co>                   /xA0   <U00A9> COPYRIGHT SIGN
<!!I>                   /xA1   <U00A1> INVERTED EXCLAMATION MARK
<Ct>                   /xA2   <U00A2> CENT SIGN
<Pd>                   /xA3   <U00A3> POUND SIGN
<//f>                  /xA4   <U2044> FRACTION SLASH
<Ye>                   /xA5   <U00A5> YEN SIGN
<f2>                   /xA6   <U0192> LATIN SMALL LETTER F WITH HOOK
<SE>                   /xA7   <U00A7> SECTION SIGN
<Cu>                   /xA8   <U00A4> CURRENCY SIGN
<'6>                   /xAA   <U201C> LEFT DOUBLE QUOTATION MARK
<<<>                   /xAB   <U00AB> LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
<fi>                   /xAE   <UFB01> LATIN SMALL LIGATURE FI
<fl>                   /xAF   <UFB02> LATIN SMALL LIGATURE FL
<Rg>                   /xB0   <U00AE> REGISTERED SIGN
<-N>                   /xB1   <U2013> EN DASH
<//->                  /xB2   <U2020> DAGGER
<//=>                  /xB3   <U2021> DOUBLE DAGGER
<.M>                   /xB4   <U00B7> MIDDLE DOT
<BB>                   /xB5   <U00A6> BROKEN BAR
<PI>                   /xB6   <U00B6> PILCROW SIGN
<sb>                   /xB7   <U2022> BULLET
<'9>                   /xBA   <U201D> RIGHT DOUBLE QUOTATION MARK
</>/>>                 /xBB   <U00BB> RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
<.3>                   /xBC   <U2026> HORIZONTAL ELLIPSIS
<%0>                   /xBD   <U2030> PER MILLE SIGN
<NO>                   /xBE   <U00AC> NOT SIGN
<?I>                   /xBF   <U00BF> INVERTED QUESTION MARK
<1S>                   /xC0   <U00B9> SUPERSCRIPT ONE
<1!!>                   /xC1   <U02CB> MODIFIER LETTER GRAVE ACCENT (Mandarin Chinese fourth tone)
<''>                   /xC2   <U00B4> ACUTE ACCENT
<1/>>                  /xC3   <U02C6> MODIFIER LETTER CIRCUMFLEX ACCENT
<1?>                   /xC4   <U02DC> SMALL TILDE
<'m>                   /xC5   <U00AF> MACRON
<'(>                   /xC6   <U02D8> BREVE
<'.>                   /xC7   <U02D9> DOT ABOVE (Mandarin Chinese light tone)
<':>                   /xC8   <U00A8> DIAERESIS
<2S>                   /xC9   <U00B2> SUPERSCRIPT TWO
<'0>                   /xCA   <U02DA> RING ABOVE
<',>                   /xCB   <U00B8> CEDILLA
<3S>                   /xCC   <U00B3> SUPERSCRIPT THREE
<''>                   /xCD   <U02DD> DOUBLE ACUTE ACCENT
<';>                   /xCE   <U02DB> OGONEK
<'<>                   /xCF   <U02C7> CARON (Mandarin Chinese third tone)
<-M>                   /xD0   <U2014> EM DASH
<+->                   /xD1   <U00B1> PLUS-MINUS SIGN
<14>                   /xD2   <U00BC> VULGAR FRACTION ONE QUARTER
<12>                   /xD3   <U00BD> VULGAR FRACTION ONE HALF
<34>                   /xD4   <U00BE> VULGAR FRACTION THREE QUARTERS
<a!!>                   /xD5   <U00E0> LATIN SMALL LETTER A WITH GRAVE
<a'>                   /xD6   <U00E1> LATIN SMALL LETTER A WITH ACUTE
<a/>>                  /xD7   <U00E2> LATIN SMALL LETTER A WITH CIRCUMFLEX
<a?>                   /xD8   <U00E3> LATIN SMALL LETTER A WITH TILDE
<a:>                   /xD9   <U00E4> LATIN SMALL LETTER A WITH DIAERESIS
<aa>                   /xDA   <U00E5> LATIN SMALL LETTER A WITH RING ABOVE
<c,>                   /xDB   <U00E7> LATIN SMALL LETTER C WITH CEDILLA
<e!!>                   /xDC   <U00E8> LATIN SMALL LETTER E WITH GRAVE
<e'>                   /xDD   <U00E9> LATIN SMALL LETTER E WITH ACUTE
<e/>>                  /xDE   <U00EA> LATIN SMALL LETTER E WITH CIRCUMFLEX
<e:>                   /xDF   <U00EB> LATIN SMALL LETTER E WITH DIAERESIS
<i!!>                   /xE0   <U00EC> LATIN SMALL LETTER I WITH GRAVE
<AE>                   /xE1   <U00C6> LATIN CAPITAL LETTER AE
<i'>                   /xE2   <U00ED> LATIN SMALL LETTER I WITH ACUTE
<-a>                   /xE3   <U00AA> FEMININE ORDINAL INDICATOR
<i/>>                  /xE4   <U00EE> LATIN SMALL LETTER I WITH CIRCUMFLEX
<i:>                   /xE5   <U00EF> LATIN SMALL LETTER I WITH DIAERESIS
<d->                   /xE6   <U00F0> LATIN SMALL LETTER ETH (Icelandic)
<n?>                   /xE7   <U00F1> LATIN SMALL LETTER N WITH TILDE
<L//>                  /xE8   <U0141> LATIN CAPITAL LETTER L WITH STROKE
<O//>                  /xE9   <U00D8> LATIN CAPITAL LETTER O WITH STROKE
<OE>                   /xEA   <U0152> LATIN CAPITAL LIGATURE OE
<-o>                   /xEB   <U00BA> MASCULINE ORDINAL INDICATOR
<o!!>                   /xEC   <U00F2> LATIN SMALL LETTER O WITH GRAVE
<o'>                   /xED   <U00F3> LATIN SMALL LETTER O WITH ACUTE
<o/>>                  /xEE   <U00F4> LATIN SMALL LETTER O WITH CIRCUMFLEX
<o?>                   /xEF   <U00F5> LATIN SMALL LETTER O WITH TILDE
<o:>                   /xF0   <U00F6> LATIN SMALL LETTER O WITH DIAERESIS
<ae>                   /xF1   <U00E6> LATIN SMALL LETTER AE
<u!!>                   /xF2   <U00F9> LATIN SMALL LETTER U WITH GRAVE
<u'>                   /xF3   <U00FA> LATIN SMALL LETTER U WITH ACUTE
<u/>>                  /xF4   <U00FB> LATIN SMALL LETTER U WITH CIRCUMFLEX
<i.>                   /xF5   <U0131> LATIN SMALL LETTER DOTLESS I
<u:>                   /xF6   <U00FC> LATIN SMALL LETTER U WITH DIAERESIS
<y'>                   /xF7   <U00FD> LATIN SMALL LETTER Y WITH ACUTE
<l//>                  /xF8   <U0142> LATIN SMALL LETTER L WITH STROKE
<o//>                  /xF9   <U00F8> LATIN SMALL LETTER O WITH STROKE
<oe>                   /xFA   <U0153> LATIN SMALL LIGATURE OE
<ss>                   /xFB   <U00DF> LATIN SMALL LETTER SHARP S (German)
<th>                   /xFC   <U00FE> LATIN SMALL LETTER THORN (Icelandic)
<y:>                   /xFD   <U00FF> LATIN SMALL LETTER Y WITH DIAERESIS
END CHARMAP

"
! !

!NEXT class methodsFor:'documentation'!

version
    ^ '$Id: CharacterEncoderImplementations__NEXT.st 10660 2011-07-18 15:22:09Z vranyj1 $'
! !
